Soft-delete a comment
curl --request DELETE \
--url https://api.wirespeed.co/v1/timeline/comments/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.wirespeed.co/v1/timeline/comments/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.wirespeed.co/v1/timeline/comments/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"authorName": "<string>",
"authorId": "<string>",
"content": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"deleted": true,
"attachments": [
{
"id": "<string>",
"filename": "<string>",
"contentType": "<string>",
"size": 123,
"data": "<string>",
"createdAt": "<string>"
}
]
}{
"message": "<string>",
"statusCode": 123
}Timeline
Soft-delete a comment
DELETE
/
v1
/
timeline
/
comments
/
{id}
Soft-delete a comment
Authorizations
Team API key sent as a Bearer token. Create a key in Wirespeed under Settings → Team. See https://docs.wirespeed.co/api-reference/authentication.
Path Parameters
Comment ID
Response
Unique identifier of the comment
Display name of the comment author, falls back to email if user was deleted or name cannot be found
User ID of the comment author, null if user was deleted
Text content of the comment, empty if deleted
Timestamp when the comment was created
Timestamp when the comment was last updated
Whether the comment has been soft-deleted
Image attachments on this comment
Show child attributes
Show child attributes

